## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csGraphics3DCaps Struct Reference

Information about 3d renderer capabilities. More...

`#include <ivideo/graph3d.h>`

List of all members.

## Public Attributes

bool | CanClip
bool | DestinationAlpha
| Mixmodes utilizing destination alpha are properly supported.
int | MaxAspectRatio
int | maxTexHeight
int | maxTexWidth
int | minTexHeight
int | minTexWidth
bool | NeedsPO2Maps
bool | StencilShadows
| Enough stencil bits for stencil shadows are available.
bool | SupportsPointSprites
| Whether point sprites are supported.

## Detailed Description

Information about 3d renderer capabilities.

Definition at line 501 of file graph3d.h.

## Member Data Documentation

bool csGraphics3DCaps::DestinationAlpha

| Mixmodes utilizing destination alpha are properly supported. Definition at line 519 of file graph3d.h.

bool csGraphics3DCaps::StencilShadows

| Enough stencil bits for stencil shadows are available. Definition at line 523 of file graph3d.h.

bool csGraphics3DCaps::SupportsPointSprites

| Whether point sprites are supported. If true, geometry of the type CS_MESHTYPE_POINT_SPRITES can be drawn. Definition at line 515 of file graph3d.h.

The documentation for this struct was generated from the following file:

- ivideo/graph3d.h